summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-12 00:39:18 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-12 00:39:18 +0000
commit785b36533f358bb9bb10e2520caffa60edc399e4 (patch)
tree63d7e0e1a89b6658baa81e976ec572a5996cd4d2 /dev-python
parent702a22a99f5ded073508aa1f44667e74a40e5d4b (diff)
downloadbaldeagleos-repo-785b36533f358bb9bb10e2520caffa60edc399e4.tar.gz
baldeagleos-repo-785b36533f358bb9bb10e2520caffa60edc399e4.tar.xz
baldeagleos-repo-785b36533f358bb9bb10e2520caffa60edc399e4.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Arpeggio/Arpeggio-2.0.0.ebuild2
-rw-r--r--dev-python/Faker/Faker-13.13.0.ebuild34
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild4
-rw-r--r--dev-python/aiohttp-cors/files/aiohttp-cors-0.7.0-py3_11.patch27
-rw-r--r--dev-python/aiohttp/aiohttp-3.8.1-r1.ebuild26
-rw-r--r--dev-python/aioresponses/aioresponses-0.7.3-r1.ebuild5
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.7.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.7.ebuild70
-rw-r--r--dev-python/bottleneck/bottleneck-1.3.4.ebuild8
-rw-r--r--dev-python/clang-python/Manifest2
-rw-r--r--dev-python/clang-python/clang-python-14.0.5.ebuild47
-rw-r--r--dev-python/dogpile-cache/Manifest1
-rw-r--r--dev-python/dogpile-cache/dogpile-cache-1.1.6.ebuild30
-rw-r--r--dev-python/entrypoint2/Manifest1
-rw-r--r--dev-python/entrypoint2/entrypoint2-1.1.ebuild28
-rw-r--r--dev-python/fsspec/Manifest2
-rw-r--r--dev-python/fsspec/fsspec-2022.5.0-r1.ebuild (renamed from dev-python/fsspec/fsspec-2022.5.0.ebuild)9
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.47.1.ebuild73
-rw-r--r--dev-python/jupyter_client/Manifest2
-rw-r--r--dev-python/jupyter_client/jupyter_client-7.3.2.ebuild48
-rw-r--r--dev-python/jupyter_client/jupyter_client-7.3.3.ebuild52
-rw-r--r--dev-python/kaitaistruct/kaitaistruct-0.9-r1.ebuild2
-rw-r--r--dev-python/lit/Manifest2
-rw-r--r--dev-python/lit/lit-14.0.5.ebuild42
-rw-r--r--dev-python/memory_profiler/memory_profiler-0.60.ebuild2
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-8.3.4.ebuild41
-rw-r--r--dev-python/openapi-core/openapi-core-0.14.2.ebuild1
-rw-r--r--dev-python/owslib/Manifest1
-rw-r--r--dev-python/owslib/owslib-0.26.0.ebuild42
-rw-r--r--dev-python/parver/parver-0.3.1-r1.ebuild2
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.12.50.ebuild39
-rw-r--r--dev-python/plotly/Manifest1
-rw-r--r--dev-python/plotly/plotly-5.8.2.ebuild63
-rw-r--r--dev-python/publicsuffix/publicsuffix-2.20191221-r2.ebuild2
-rw-r--r--dev-python/pyghmi/Manifest1
-rw-r--r--dev-python/pyghmi/pyghmi-1.5.45.ebuild39
-rw-r--r--dev-python/pytest-aiohttp/pytest-aiohttp-1.0.4.ebuild11
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest1
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.18.3.ebuild44
-rw-r--r--dev-python/spyder-kernels/spyder-kernels-2.3.1-r2.ebuild (renamed from dev-python/spyder-kernels/spyder-kernels-2.3.1-r1.ebuild)5
-rw-r--r--dev-python/watchdog/Manifest1
-rw-r--r--dev-python/watchdog/watchdog-2.1.9.ebuild52
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-1.11.2.ebuild38
50 files changed, 853 insertions, 125 deletions
diff --git a/dev-python/Arpeggio/Arpeggio-2.0.0.ebuild b/dev-python/Arpeggio/Arpeggio-2.0.0.ebuild
index 54c943a9042e..ef0028e0ff41 100644
--- a/dev-python/Arpeggio/Arpeggio-2.0.0.ebuild
+++ b/dev-python/Arpeggio/Arpeggio-2.0.0.ebuild
@@ -16,7 +16,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
+KEYWORDS="amd64 ~arm64 ~riscv x86"
DEPEND="
test? (
diff --git a/dev-python/Faker/Faker-13.13.0.ebuild b/dev-python/Faker/Faker-13.13.0.ebuild
new file mode 100644
index 000000000000..cfcce92aba99
--- /dev/null
+++ b/dev-python/Faker/Faker-13.13.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 46a9f9c116c4..01f308c1ea81 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,4 @@
DIST Faker-13.11.1.tar.gz 1501239 BLAKE2B 1ccf33e7a054d33921696ea917670fc0ff88c0b805700b32d9d4e5ed3b12d6e52ea164f762600315370eed06415e70923002b99f0c32fa9cd40cdeb437e338c0 SHA512 291517669143119099ac6bcc69a08091fb156728c465198079f764996849d8416ccaf169e1cf0d0dd02d99b2090494084dad7fdef9dfd2702411701bf71f54b5
DIST Faker-13.12.0.tar.gz 1528234 BLAKE2B ca85e172d75f009802486fd5299581c0bd08f273f049df12b44159fb0c79d6b267579172da3c25f5aebaa0b897ea1e1067fe8e6a2527b0ccbf1e60de0257289c SHA512 9883e1a82b8d00ad83a31c71929ebb8f13e31bb34ada29772ab0bd8e9ac5e59ea44cf1a876e8c58a519814207fbc5ed950fdce7f7c259e5ca897e23662cd6511
DIST Faker-13.12.1.tar.gz 1528407 BLAKE2B 2e4dd3c72c8531e523a4906c982d0652e6826b8e4b4af5400ec247070c79b2c07f2977bf40daf4be3166cb0e612945547f1a36489fdf5d072e7e5d0b0b4c1764 SHA512 75d9c30c1163ee6746c23870abdf11c32a07ca0f1e4d13aa71a28024ae897e352500c27c3c2709bd704d162a4352ec557a74ccf25fefbe9a5587541a5aea2f20
+DIST Faker-13.13.0.tar.gz 1528907 BLAKE2B be4593ba271330822f10590aa8e15c4658cd8a19333ab769d32178b72c15b504b8a5269443100250a863af25e40c582244e815cf612dbf8a57833f470ddeec09 SHA512 9e794bf95d40040dfa98439d0d9da19a90dd202905d4825c82453e202adad80bbea6da74ce0d36d8e205381d419a19b8b1fb60b32e20e97ee69b315f4f0c8eb9
diff --git a/dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild b/dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild
index 8db75ff16b4b..970c0c27228a 100644
--- a/dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild
+++ b/dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild
@@ -28,10 +28,12 @@ BDEPEND="
distutils_enable_tests pytest
-# https://github.com/aio-libs/aiohttp-cors/pull/278
PATCHES=(
+ # https://github.com/aio-libs/aiohttp-cors/pull/278
"${FILESDIR}/${P}-tests.patch"
"${FILESDIR}/${P}-py3_7.patch"
+ # https://github.com/aio-libs/aiohttp-cors/pull/412
+ "${FILESDIR}/${P}-py3_11.patch"
)
src_prepare() {
diff --git a/dev-python/aiohttp-cors/files/aiohttp-cors-0.7.0-py3_11.patch b/dev-python/aiohttp-cors/files/aiohttp-cors-0.7.0-py3_11.patch
new file mode 100644
index 000000000000..2dd0df4b61e2
--- /dev/null
+++ b/dev-python/aiohttp-cors/files/aiohttp-cors-0.7.0-py3_11.patch
@@ -0,0 +1,27 @@
+From 1eb2226aaf664d0be746753a32f82ee2e04c2f0b Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Tom=C3=A1=C5=A1=20Hrn=C4=8Diar?= <thrnciar@redhat.com>
+Date: Tue, 1 Mar 2022 15:31:54 +0100
+Subject: [PATCH] Replace @asyncio.coroutine decorator with async def
+
+In Python 3.11 @asyncio.coroutine decorator was removed and it should
+be replaced with async def call.
+
+Fixes: #280
+---
+ tests/unit/test_cors_config.py | 3 +--
+ 1 file changed, 1 insertion(+), 2 deletions(-)
+
+diff --git a/tests/unit/test_cors_config.py b/tests/unit/test_cors_config.py
+index 817410e..9fe1052 100644
+--- a/tests/unit/test_cors_config.py
++++ b/tests/unit/test_cors_config.py
+@@ -29,8 +29,7 @@ async def _handler(request):
+
+ class _View(web.View, CorsViewMixin):
+
+- @asyncio.coroutine
+- def get(self):
++ async def get(self):
+ return web.Response(text="Done")
+
+
diff --git a/dev-python/aiohttp/aiohttp-3.8.1-r1.ebuild b/dev-python/aiohttp/aiohttp-3.8.1-r1.ebuild
index db44e48134d3..2f6383c1e599 100644
--- a/dev-python/aiohttp/aiohttp-3.8.1-r1.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.8.1-r1.ebuild
@@ -67,6 +67,9 @@ src_prepare() {
# xfail_strict fails on py3.10
sed -i -e '/--cov/d' -e '/xfail_strict/d' setup.cfg || die
+ # which(1)...
+ sed -i -e 's:which:command -v:' Makefile || die
+
distutils-r1_src_prepare
}
@@ -96,10 +99,25 @@ python_test() {
tests/test_client_session.py::test_client_session_timeout_zero
)
- [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
- # C extensions are not used on PyPy3
- tests/test_http_parser.py::test_c_parser_loaded
- )
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # C extensions are not used on PyPy3
+ tests/test_http_parser.py::test_c_parser_loaded
+ )
+ ;;
+ python3.11)
+ EPYTEST_DESELECT+=(
+ # known problem with tests, not code itself
+ 'tests/test_client_functional.py::test_timeout_on_reading_headers[pyloop]'
+ 'tests/test_client_functional.py::test_timeout_on_conn_reading_headers[pyloop]'
+ 'tests/test_client_request.py::test_data_stream_exc_chain[pyloop]'
+ tests/test_test_utils.py::TestAioHTTPTestCase::test_example_with_loop
+ tests/test_test_utils.py::TestAioHTTPTestCase::test_example_without_explicit_loop
+ tests/test_test_utils.py::TestAioHTTPTestCase::test_inner_example_without_explicit_loop
+ )
+ ;;
+ esac
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
local -x PYTEST_PLUGINS=pytest_mock,xdist.plugin,pytest_forked
diff --git a/dev-python/aioresponses/aioresponses-0.7.3-r1.ebuild b/dev-python/aioresponses/aioresponses-0.7.3-r1.ebuild
index d85bcb126a14..95240d2a7deb 100644
--- a/dev-python/aioresponses/aioresponses-0.7.3-r1.ebuild
+++ b/dev-python/aioresponses/aioresponses-0.7.3-r1.ebuild
@@ -9,7 +9,10 @@ PYTHON_COMPAT=( python3_{7,8,9,10} )
inherit distutils-r1
DESCRIPTION="Helper to mock/fake web requests in Python's aiohttp package"
-HOMEPAGE="https://github.com/pnuckowski/aioresponses"
+HOMEPAGE="
+ https://github.com/pnuckowski/aioresponses/
+ https://pypi.org/project/aioresponses/
+"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 820c1eb62ff6..8441ce125e43 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.24.3.gh.tar.gz 506694 BLAKE2B 5049ad69810c0fcb4d4133fae8efb7d5f44a5
DIST boto3-1.24.4.gh.tar.gz 507020 BLAKE2B 2689aa84d0cc5a8c7978d18c480576015bb212a2714eb4edf3f9dd59e0be09da4a866e64fad1f3033cf02b807af7f827cceb56716bec5f04048c2eeb49b12804 SHA512 d23d1d7cb11d45d4419a5c4c1fcadacbfff8e8ebae69c8e522aa00e966048cd341bff8587e18bd0f043f1abd0558522aecede3aa83b84498df95c5a06068f15b
DIST boto3-1.24.5.gh.tar.gz 508100 BLAKE2B 5ad9e6325a507ea94738eebee58200b4c4e967db5afb5a3076ad55b64df8637f961074377375d9bf4df233c1d53444738e82a868515d04dbd9632dad0889e2c0 SHA512 9387c70c54e05b1007135a896e69934d128a31735cdf0b61ccadd9412c7be5d53259c60a2b4410157037f9a95afaf8ef4f4a97d35e290ff12b7deb125a73d903
DIST boto3-1.24.6.gh.tar.gz 508258 BLAKE2B 705b01006dfa63e386b39a0c4e791e0d9f2e4c5ae72bda3245843ba802556b1328214f80df788497d8b646882af816cfdba6d2769fe5bef82cbaf629fe9fcac6 SHA512 198df4e2f1e5f42bf0faa8baaea0bbc3d88fffda435afc3eccfdcc56940773dcdf43e8cb533a48265907bd118d8e969c7f9b37affb6508a8147ecee486017d92
+DIST boto3-1.24.7.gh.tar.gz 508670 BLAKE2B d526f6a4dc4c6126c61ca7c9074b4341c742f84a6e95b38cd8a450fb74df379cee44513e1be6bc7cd0c8f728598d0ecfc06240120a8da71f75f86371498f5233 SHA512 4d57e38c18138b950f93a234132ac1d31c9a29ad00ca5e1298517d6b16ff2849802ce6cfeb8de390c2eb25086043d45e0276a7a563707595649ca1905367be52
diff --git a/dev-python/boto3/boto3-1.24.7.ebuild b/dev-python/boto3/boto3-1.24.7.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.7.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 539e0dc071c7..30c9848b61c3 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.27.3.tar.gz 9078424 BLAKE2B 62414c2474ec44b3385c589793fd0c54984d
DIST botocore-1.27.4.tar.gz 9079162 BLAKE2B 3707e0b53022185248d5c086860ddf99f6d43803414929252a6b090fbeb765606e1fa97896f6d9016e97a0a6b5388d754941f3a88645f5c1ea18f206d73127a7 SHA512 3743d79febcf33302de20b364267ae39a0887c7fa5e116a7209b1281b4985e593b5d3f0ea7bb6e608036d99d4df46931192f5a3a63c98f7b3da26a16ea6b5a3f
DIST botocore-1.27.5.tar.gz 9110489 BLAKE2B 0cafef7d573de45613b3a03e94c7ddedc6fcf13bc450c5a7509748062d29e5ac2de96982a606cd7af007a2c01004bead3575e7150c4120964edb290d0002c9c9 SHA512 8fc4a81da092e3b3bfa5b347d6a03fc6b969aeecc7a13b0b5de75d96d8c826411cf82bd22e373d6a8b5a9da323468bf1fd9b036b2b72d1801c49056c5c991858
DIST botocore-1.27.6.tar.gz 9109990 BLAKE2B ca3b1f4d14f4bbce87dcd989caf2fa79e475471c951ae13b2804e89f21a1dbf4949cbaba0abcf766f7a324f2b214135643b8d33f02a0866a06a5d81a1e50aa33 SHA512 a2e40d6b875b50bc8fe4180d8ad74a6f72c01f79d0130f9f4107436027fd0b40634359a5b9273bc9fd2eded16d14f40bd297467e57cc65707a495c312618d766
+DIST botocore-1.27.7.tar.gz 9102259 BLAKE2B 094ec463531f1dfd54ff32d0f44ebc39cdc0a6d4c3e19b49a25e25d9d13acdcd26c782c1d4819ea4f1cb8954a858aa6e997411785678700b7ca03cd8844527b5 SHA512 d4a1327f4314279548af00fbc6da2f9fc5f25f704da3f6ddfa90773878f28ac9f03556b00fa4c0207ec2e952eb716aa98c1c22abffbd51d82dc55d9e4ceeca5c
diff --git a/dev-python/botocore/botocore-1.27.7.ebuild b/dev-python/botocore/botocore-1.27.7.ebuild
new file mode 100644
index 000000000000..97701266bf61
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.7.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/botocore-1.26.0-py311.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/bottleneck/bottleneck-1.3.4.ebuild b/dev-python/bottleneck/bottleneck-1.3.4.ebuild
index 3c2898affc5b..3388972acb01 100644
--- a/dev-python/bottleneck/bottleneck-1.3.4.ebuild
+++ b/dev-python/bottleneck/bottleneck-1.3.4.ebuild
@@ -9,7 +9,10 @@ PYTHON_COMPAT=( python3_{7,8,9,10} )
inherit distutils-r1
DESCRIPTION="Fast NumPy array functions written in C"
-HOMEPAGE="https://pypi.org/project/Bottleneck/"
+HOMEPAGE="
+ https://github.com/pydata/bottleneck/
+ https://pypi.org/project/Bottleneck/
+"
SRC_URI="
https://github.com/pydata/bottleneck/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
@@ -23,9 +26,6 @@ RDEPEND="
>=dev-python/numpy-1.9.1[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}"
-BDEPEND="
- dev-python/versioneer[${PYTHON_USEDEP}]
-"
distutils_enable_tests pytest
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 99a6d3d6175c..2f34b5a97122 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -1,3 +1,5 @@
+DIST llvm-project-14.0.5.src.tar.xz 105617748 BLAKE2B a68a6eb58302702f560d1204eb97d34b695eb5df417ccefb50117dbd641ba3c3dda9e64c04506e646dd40c1151eb60b12843e206996ef74b35b2841b8dabafda SHA512 db5a7ea1149988c2aab4ed634f14e00bb9a8042089350b811f875e295ced7b5add80a11b91cad80ba0ba9801261502644a720021506483c14dfb1bc24a7f54d5
+DIST llvm-project-14.0.5.src.tar.xz.sig 566 BLAKE2B ecf66df5d0acb382c9d441aee053404254fa4087d57130b04bb496af9cbb71c59e82f0938f44953d7fd777524781d13d1327b6c64065cf45b177bc3ea0e5c3f2 SHA512 a785e38f11863a46de8766ff4495a73173479cdbd95dc539804b0381a7a834a409713dbaf441272a9cc2963a3c7015c95dc6f0dcfa745e8d6047b1ad5feacff7
DIST llvmorg-12.0.1.tar.gz 134259748 BLAKE2B f41de787bc73ff2edfda1b22cc8602be6f65f37dd9e4c8888533cfa8c3ccdcf4f108aaab9de23ab0ab987966eb160f2a553a0bdff99461e71ddd5bfcd086090d SHA512 6eb0dc18e2c25935fabfdfc48b0114be0939158dfdef7b85b395fe2e71042672446af0e68750aae003c9847d10d1f63316fe95d3df738d18f249174292b1b9e1
DIST llvmorg-13.0.1.tar.gz 147290251 BLAKE2B 2a44b012a672501761d0c27c6b3a315b69bfef0cd13b078a7e7d2fccc4a9c8c0f2bee0f164c4271c9106b0a99cb06e8b64986f66253b613336719fb86b82541b SHA512 9a8cb5d11964ba88b7624f19ec861fb28701f23956ea3c92f6ac644332d5f41fde97bd8933dd3ee70ed378058c252fa3a3887c8d1af90d219970c2b27691166f
DIST llvmorg-14.0.1.tar.gz 158074615 BLAKE2B bf80366461580058494eb101646efcd1a8b55a66818a710c2eb8c649bf88c02fe4552cecf4c1c8637a64e7cee8d644bca31aafc804765ed18f2b5e2975dd6c92 SHA512 0a15aa9cfc978a7b03a1659a2affad65ede66d280f5c12bf0beaaf194cd7bdd57ff438b5f40e64c1e1b88f368de99be349e9d30b544d2bbe4a50f0ebed3307f2
diff --git a/dev-python/clang-python/clang-python-14.0.5.ebuild b/dev-python/clang-python/clang-python-14.0.5.ebuild
new file mode 100644
index 000000000000..e347899e1291
--- /dev/null
+++ b/dev-python/clang-python/clang-python-14.0.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/dogpile-cache/Manifest b/dev-python/dogpile-cache/Manifest
index 63a08521f487..7d91507c9379 100644
--- a/dev-python/dogpile-cache/Manifest
+++ b/dev-python/dogpile-cache/Manifest
@@ -1 +1,2 @@
DIST dogpile.cache-1.1.5.tar.gz 392536 BLAKE2B 062392cda9b06da889f924bc04743faa133b978a908ffdbc1e9cc9a2a9a69db22ee26b27c7cb2ec2dedee20786cf90c6d02d163731224956091b2d3baa25774b SHA512 b6d453121ef8e58da60478e2e1e2db57804dfa3b17cceeace930ba75d159629dfba4b5d63c50fbbc2eafeadbfcd6e1e4cbe22c8da1f54c90473f8ee677d764f8
+DIST dogpile.cache-1.1.6.tar.gz 393076 BLAKE2B 62c16ee7cc00608432d45fa7cb068300a4417a494e4580a2af5c3f7c5a0bf40a54e1b6f4924bbd7b40a0efc1cb9afb42f361811c257fa77eabcd64cc35fbcf51 SHA512 179246abf598675cdef988b463df4997c7eed8e7a110c22704052f905b65ad537b22ba28d7c96a28b2aa85b3e83ac42beb36843dc78ad503d41225ea1f9e7e77
diff --git a/dev-python/dogpile-cache/dogpile-cache-1.1.6.ebuild b/dev-python/dogpile-cache/dogpile-cache-1.1.6.ebuild
new file mode 100644
index 000000000000..5f24f5bafad8
--- /dev/null
+++ b/dev-python/dogpile-cache/dogpile-cache-1.1.6.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A locking API for expiring values while a single thread generates a new value"
+HOMEPAGE="https://github.com/sqlalchemy/dogpile.cache"
+SRC_URI="mirror://pypi/${PN:0:1}/dogpile.cache/dogpile.cache-${PV}.tar.gz"
+S="${WORKDIR}/dogpile.cache-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/decorator-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/entrypoint2/Manifest b/dev-python/entrypoint2/Manifest
index 3bdb0bb2a058..5e0b8c117185 100644
--- a/dev-python/entrypoint2/Manifest
+++ b/dev-python/entrypoint2/Manifest
@@ -1 +1,2 @@
DIST entrypoint2-1.0.tar.gz 15424 BLAKE2B 1270a35218cde90922fe8f675917545f4c43e5ec0effd632583cd0bd02200d6a453716787c222722cec633bcb108c1b8c26e284e9659e754d3bc6a77895a6042 SHA512 6580dbf19482af95cbccad61b6f6dc73c068ac78d166e2cea4fae54243921e577316d38e204ad5983f0f52d898d67a10f4c90332d4eeaff1ea713bfc82c70890
+DIST entrypoint2-1.1.gh.tar.gz 15480 BLAKE2B e9a834b863e624971266b78fed75ce2621511f7529f88e4950803c8978a1e27e81585751c25eab82aa1507b6abf8500b11e6ab7ec80052ccd31bec16bf3ed790 SHA512 807b8a53cc5c3e88de971c624dc69b3d526637d84856a0a67fdf2d15c51224cb5c48a7614eaa1942783ce2e954791a86f5ae6eb4dbf1a6e7928161e2cc8f293d
diff --git a/dev-python/entrypoint2/entrypoint2-1.1.ebuild b/dev-python/entrypoint2/entrypoint2-1.1.ebuild
new file mode 100644
index 000000000000..eaac73299c1a
--- /dev/null
+++ b/dev-python/entrypoint2/entrypoint2-1.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Easy to use command-line interface for python modules"
+HOMEPAGE="https://github.com/ponty/entrypoint2"
+SRC_URI="
+ https://github.com/ponty/entrypoint2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/easyprocess[${PYTHON_USEDEP}]
+ dev-python/path-py[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 79af5bd7ee31..35daafa98f94 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1,2 +1,2 @@
DIST filesystem_spec-2022.3.0.tar.gz 331768 BLAKE2B 8f4e75f839419f7445a9291e3b67914338b0371742f1d3a556962b6e5abb31379cfeba52e0101f7660fd69569dabb49190820323b7e067a0c33c2184422ba067 SHA512 7c793b506e93f727bc4533a778f6108f82c9ab9274a8d259ecf483e0acbbfc97e3c8b07735f772f996867053d7e1f9c22687865f4f64cae6eb4fb511de2e9220
-DIST filesystem_spec-2022.5.0.tar.gz 337612 BLAKE2B 722ce370d0cfa97548956ea8bfc533ded3eadfb6a1fdfbb83513fad4fbfd34e2d700ae69ede812b7ba132beb29ab18914852487b94b2a8e5de4b106d6f554eca SHA512 9ea8040d5f94c3b0d3c21df7b27413e0a9a4f96973c961e3f88238adcf69a9c866790370c3d8b0149aa85d0bda67e72f7b75a2a9ff1c27e5171a4f0e41e3ffe9
+DIST filesystem_spec-2022.5.0.gh.tar.gz 337607 BLAKE2B 80f22e6c1ca0ec4194b41a85171d466792812c456129a05c286d8c46de950aeed4cd7a0ee01082e9dbfee5b89ca1a36441f961d7e61be816eb783cad8bca0979 SHA512 687dd0e7018e04d719f7c11e2238afe06f4e8d5eb7193e24dd000dbd79e5c52bed5fde919de47b0dab2d66e9ba93f28370a32f2458a6771e728b0ece68609504
diff --git a/dev-python/fsspec/fsspec-2022.5.0.ebuild b/dev-python/fsspec/fsspec-2022.5.0-r1.ebuild
index e5c7ce55755b..e6bba4b5cfd5 100644
--- a/dev-python/fsspec/fsspec-2022.5.0.ebuild
+++ b/dev-python/fsspec/fsspec-2022.5.0-r1.ebuild
@@ -10,11 +10,14 @@ inherit distutils-r1
MY_P=filesystem_spec-${PV}
DESCRIPTION="A specification that python filesystems should adhere to"
-HOMEPAGE="https://github.com/fsspec/filesystem_spec/
- https://pypi.org/project/fsspec/"
+HOMEPAGE="
+ https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/
+"
SRC_URI="
https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
- -> ${MY_P}.tar.gz"
+ -> ${MY_P}.gh.tar.gz
+"
S=${WORKDIR}/${MY_P}
LICENSE="BSD"
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index ed6cf161d66a..3b1df987fc2b 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,5 +1,6 @@
DIST hypothesis-hypothesis-python-6.46.11.gh.tar.gz 9312248 BLAKE2B 78b5ca5bd38bd62d2fe50ab929df075e253c059aed329d6b52051fb01449f8de84ae340ba42a4af94ef592411139a45d34aad232fe4bb2d8412165730bbeca01 SHA512 6fdd54f28d275eb65a4f6e6919437d503eba6254c25e22298c34ac67e6de03cd99a5178b1a475b1da7f7afeed8406e89c20b4818436143f442222d26f0d94796
DIST hypothesis-hypothesis-python-6.47.0.gh.tar.gz 9313488 BLAKE2B 2b778d5d6d43f12ee57e05af2c0914ed8b5468235be331ee80624069d64ffe7cce299dd70d1777a4139d3d2590f64dca8b0fa515039dd43cc13bda3dacb5b76d SHA512 4502add489e2fbee8bcced0f7f65ea1015a40c7811133bc9b0979c2e46749c477bc29889e0be2be1bbb240afe96867160c2991b531591ea1e72fdf9d759da6f0
+DIST hypothesis-hypothesis-python-6.47.1.gh.tar.gz 9314265 BLAKE2B c2ad0120ab2cbd565f73d472f0a5a87e4b51ff9cf7c08d75dbc54223ad9fe60ed475577ca7dced64ab02d4cc1ee5d30525677c4acfe720af8251f804e72a3b00 SHA512 1aea9f949242d3a273584cd92e1829654d6ce385efcd631b412374f1f9252d3b759b8e216aaa9a49e26e0c3b12673348eac79d0189881f6a811f11daf14b0873
DIST hypothesis-python-6.46.2.tar.gz 9305176 BLAKE2B 7d0abe4fc055eeb4660efbba9900b43209cc5ef1fd7b2362545e0d4145837cb7779cdf96c96cdd3770c1605ec8104818ece5cd012a90b164ab8ab63709d1c911 SHA512 207b4202aa36a28891c8051009ee6b8b6a8f0823840db7e4fc6840ebe6455060340f16f7e2e25bc5ad2adca1ff7fd8b58668ec2ca355b4579ec03aac616e786d
DIST hypothesis-python-6.46.3.tar.gz 9306685 BLAKE2B a26c08361a7a58d8de8d8458a73c5c3c57f04dd2008ab31e604f0addc18fb7a52a7f4a98318498b398cd1ac5d2d718fd722c4d17e0b6ef326e0457355fda7482 SHA512 d55c3c4a57d18aa7f6d876123b09bcab32d508f5aa40048f2db7f0cab3948ebb6fab5f12d291ae4740cdd1c61c2d612c1ce804028bb59914efc132404224d1ee
DIST hypothesis-python-6.46.7.tar.gz 9308855 BLAKE2B a26cd556bb56ff5a09987e7e4a9a46e966f26106376a4b5e481a933495f21c4a69dff0d68aa8d2006fc42794392eca35b4b68cb88e0d4695ecfe3bfe2098e9b6 SHA512 239343424df13db419bfc9057f9024ab8360cace07a0cf7d592744afa76fff54d5c30a0b7fecb41c642d034b2327feef7bec78840df25793727ce30be1aa7ef9
diff --git a/dev-python/hypothesis/hypothesis-6.47.1.ebuild b/dev-python/hypothesis/hypothesis-6.47.1.ebuild
new file mode 100644
index 000000000000..0dd5c5134055
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.47.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/jupyter_client/Manifest b/dev-python/jupyter_client/Manifest
index 1d0fd3b667d6..2026c6ac4285 100644
--- a/dev-python/jupyter_client/Manifest
+++ b/dev-python/jupyter_client/Manifest
@@ -1,4 +1,2 @@
DIST jupyter_client-7.3.1.tar.gz 328697 BLAKE2B 9bdca39d974c21e1674f58a7aaa51a6b96e4dc307f918aacc403146827df5ad7a867243dd2df95e717ab7ebd62367817e4f43cae562f47147b4271d72240600e SHA512 86a98288f1be5321b8495d78770501ca45fe3139a482ec41606253eef69eaf4d3f284d1c373d9df64efe28428f32cd1a3b19842a7331b3ac200d780e7a786407
-DIST jupyter_client-7.3.2.tar.gz 328943 BLAKE2B 9093278ec2aeff9810bb0af86607185776d940e51ade5194c28800b1e08a1b40d4a020f947b4fac092e26e6a6b1b1eabe4b2c025d955f4ed1ddf3cd190dda96a SHA512 ec0ceb518eae63356058032b2e43979c78a691eefe594ef98767daff27ea88d4363bdc8f7c4e66c549fd5e7a5fdb0b538d58a45f7d73145093f7bbe26df03c71
-DIST jupyter_client-7.3.3.tar.gz 329130 BLAKE2B 7a60e8a0f4142198efc35f09378e3d35e3985b1531c3a759b7f3b4373c8df4dc76d56a28298f9f2972a4ba323e6d7a1b0c49d2dacdc490019da63692324d1ee1 SHA512 8a89f7e95f8f7f87ebc5ed362508cf5368c6e611c0291a56f72acafeb6ec85ad50e943133d178486605ad325dfc4e3b8231888b8dff0b0cc14b0e707b126f1d3
DIST jupyter_client-7.3.4.tar.gz 329871 BLAKE2B 34f4cc01ced39e30f81e0c7524ada9319f7bea6fb0f941dad85ac3f969de71b68bde22359a9d343df84432e320994a8c4c4aa9ebd390b841e4b18042ac6f0b14 SHA512 3bb1fd7c93e16c03db0c249810fe48428dc9c1fa24ae885a3d30b4ac2d2e980f48edc06c2c6065b3e8f91610bf5bc7500854986f55c18bd9f695f192aa470beb
diff --git a/dev-python/jupyter_client/jupyter_client-7.3.2.ebuild b/dev-python/jupyter_client/jupyter_client-7.3.2.ebuild
deleted file mode 100644
index f1e92ba86b28..000000000000
--- a/dev-python/jupyter_client/jupyter_client-7.3.2.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-inherit distutils-r1
-
-DESCRIPTION="Jupyter protocol implementation and client libraries"
-HOMEPAGE="https://jupyter.org"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- dev-python/entrypoints[${PYTHON_USEDEP}]
- >=dev-python/jupyter_core-4.9.2[${PYTHON_USEDEP}]
- >=dev-python/nest_asyncio-1.5.4[${PYTHON_USEDEP}]
- >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
- dev-python/pyzmq[${PYTHON_USEDEP}]
- >=www-servers/tornado-6.0[${PYTHON_USEDEP}]
- dev-python/traitlets[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/ipykernel-6.5[${PYTHON_USEDEP}]
- dev-python/ipython[${PYTHON_USEDEP}]
- >=dev-python/pytest-asyncio-0.18[${PYTHON_USEDEP}]
- dev-python/pytest-timeout[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-7.0.6-test-timeout.patch
-)
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # relax pyzmq dep
- sed -i -e '/pyzmq/s:>=[0-9.]*::' pyproject.toml || die
- distutils-r1_src_prepare
-}
diff --git a/dev-python/jupyter_client/jupyter_client-7.3.3.ebuild b/dev-python/jupyter_client/jupyter_client-7.3.3.ebuild
deleted file mode 100644
index 489687627e1c..000000000000
--- a/dev-python/jupyter_client/jupyter_client-7.3.3.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-
-inherit distutils-r1
-
-DESCRIPTION="Jupyter protocol implementation and client libraries"
-HOMEPAGE="
- https://jupyter.org/
- https://github.com/jupyter/jupyter_client/
- https://pypi.org/project/jupyter-client/
-"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- dev-python/entrypoints[${PYTHON_USEDEP}]
- >=dev-python/jupyter_core-4.9.2[${PYTHON_USEDEP}]
- >=dev-python/nest_asyncio-1.5.4[${PYTHON_USEDEP}]
- >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
- dev-python/pyzmq[${PYTHON_USEDEP}]
- >=www-servers/tornado-6.0[${PYTHON_USEDEP}]
- dev-python/traitlets[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/ipykernel-6.5[${PYTHON_USEDEP}]
- dev-python/ipython[${PYTHON_USEDEP}]
- >=dev-python/pytest-asyncio-0.18[${PYTHON_USEDEP}]
- dev-python/pytest-timeout[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-7.0.6-test-timeout.patch
-)
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # relax pyzmq dep
- sed -i -e '/pyzmq/s:>=[0-9.]*::' pyproject.toml || die
- distutils-r1_src_prepare
-}
diff --git a/dev-python/kaitaistruct/kaitaistruct-0.9-r1.ebuild b/dev-python/kaitaistruct/kaitaistruct-0.9-r1.ebuild
index cb14f415dffb..f18868d1f8c4 100644
--- a/dev-python/kaitaistruct/kaitaistruct-0.9-r1.ebuild
+++ b/dev-python/kaitaistruct/kaitaistruct-0.9-r1.ebuild
@@ -13,4 +13,4 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 99a6d3d6175c..2f34b5a97122 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -1,3 +1,5 @@
+DIST llvm-project-14.0.5.src.tar.xz 105617748 BLAKE2B a68a6eb58302702f560d1204eb97d34b695eb5df417ccefb50117dbd641ba3c3dda9e64c04506e646dd40c1151eb60b12843e206996ef74b35b2841b8dabafda SHA512 db5a7ea1149988c2aab4ed634f14e00bb9a8042089350b811f875e295ced7b5add80a11b91cad80ba0ba9801261502644a720021506483c14dfb1bc24a7f54d5
+DIST llvm-project-14.0.5.src.tar.xz.sig 566 BLAKE2B ecf66df5d0acb382c9d441aee053404254fa4087d57130b04bb496af9cbb71c59e82f0938f44953d7fd777524781d13d1327b6c64065cf45b177bc3ea0e5c3f2 SHA512 a785e38f11863a46de8766ff4495a73173479cdbd95dc539804b0381a7a834a409713dbaf441272a9cc2963a3c7015c95dc6f0dcfa745e8d6047b1ad5feacff7
DIST llvmorg-12.0.1.tar.gz 134259748 BLAKE2B f41de787bc73ff2edfda1b22cc8602be6f65f37dd9e4c8888533cfa8c3ccdcf4f108aaab9de23ab0ab987966eb160f2a553a0bdff99461e71ddd5bfcd086090d SHA512 6eb0dc18e2c25935fabfdfc48b0114be0939158dfdef7b85b395fe2e71042672446af0e68750aae003c9847d10d1f63316fe95d3df738d18f249174292b1b9e1
DIST llvmorg-13.0.1.tar.gz 147290251 BLAKE2B 2a44b012a672501761d0c27c6b3a315b69bfef0cd13b078a7e7d2fccc4a9c8c0f2bee0f164c4271c9106b0a99cb06e8b64986f66253b613336719fb86b82541b SHA512 9a8cb5d11964ba88b7624f19ec861fb28701f23956ea3c92f6ac644332d5f41fde97bd8933dd3ee70ed378058c252fa3a3887c8d1af90d219970c2b27691166f
DIST llvmorg-14.0.1.tar.gz 158074615 BLAKE2B bf80366461580058494eb101646efcd1a8b55a66818a710c2eb8c649bf88c02fe4552cecf4c1c8637a64e7cee8d644bca31aafc804765ed18f2b5e2975dd6c92 SHA512 0a15aa9cfc978a7b03a1659a2affad65ede66d280f5c12bf0beaaf194cd7bdd57ff438b5f40e64c1e1b88f368de99be349e9d30b544d2bbe4a50f0ebed3307f2
diff --git a/dev-python/lit/lit-14.0.5.ebuild b/dev-python/lit/lit-14.0.5.ebuild
new file mode 100644
index 000000000000..b944deb27c4c
--- /dev/null
+++ b/dev-python/lit/lit-14.0.5.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/memory_profiler/memory_profiler-0.60.ebuild b/dev-python/memory_profiler/memory_profiler-0.60.ebuild
index 242865cf6099..00aaa6a1a43d 100644
--- a/dev-python/memory_profiler/memory_profiler-0.60.ebuild
+++ b/dev-python/memory_profiler/memory_profiler-0.60.ebuild
@@ -17,7 +17,7 @@ IUSE="examples"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm64 ~riscv x86 ~amd64-linux ~x86-linux"
# dev-lang/mercury: collision on 'mprof'
# https://bugs.gentoo.org/571176
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index a81bd69c7738..9b2ee6242e62 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -2,3 +2,4 @@ DIST mkdocs-material-8.2.15.gh.tar.gz 8337955 BLAKE2B 542871c9be9c67c83a0b62d3bb
DIST mkdocs-material-8.2.16.gh.tar.gz 8358163 BLAKE2B f3102be342d697e462c798fe8227febd7f3ec99fcd9791dde96103ec39f9ec86c68c8682170b48e1bf56e03d4be45fa6cd372b1b4391ef4ecbd1bef2866d3e90 SHA512 4ebc03e2b9954e3d64c1837b20df7c85d610ffa63303ba07e5f42ae680777fd577b1aa4744732352da6bfab4f70e2ca17afeb092d3a494f3e0a7c5f7b2149fb7
DIST mkdocs-material-8.2.8.gh.tar.gz 8304608 BLAKE2B ff44912e812a32c7bc99fb7a07178864a952ecfbe953fe8e4d06188e2cf79f87276a881aeba1b2e5b5c290b4e12afa72761b35988290b7039163c643ec51c154 SHA512 fd2308f78c2dfff81d917f958903fee44fdd214a209464c4279d399812a686a26084e40367b0809889f682adfe5d1fe3b4707dc206621f3aa216be59e13d5d0a
DIST mkdocs-material-8.3.3.gh.tar.gz 8283580 BLAKE2B aa6dc9e07b0a7fcb6fd598f4bef37a2c3b00ee4260bf6b2fe088dfc9e8c1468f8ec50767d41ddebad0c32a193669e560bbeb835684e5c8451d5985637038a1f9 SHA512 ed3bf417b8c9f2da9f198fd7079ffca3c1bf9f6f455c1c03fb4b3b566ffdc95be6b39d4f47590eca74610b2a0efb34dacf50ad2c2c4f9cca4e18079d584a7128
+DIST mkdocs-material-8.3.4.gh.tar.gz 8311720 BLAKE2B df2b01fa36b49e33be95d67935b24361f1d87394f118b51c51e4b822b8975dc41530d3e1cb87c7ebeb21dafb6494664730cdf96608af5dd5b83fc8715971dd92 SHA512 453e866c1dac643c9347573b3412642a1eadbb5e1087170bcd8ada57506d53d59bc52072ab8a6ac034feabacd09a47f3d32b5f7f3b0535e98d7ab3bf29733af0
diff --git a/dev-python/mkdocs-material/mkdocs-material-8.3.4.ebuild b/dev-python/mkdocs-material/mkdocs-material-8.3.4.ebuild
new file mode 100644
index 000000000000..c6c3069f44ba
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-8.3.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-2.11.1[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.12[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.4[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND=">=dev-python/mkdocs-material-extensions-1.0.3[${PYTHON_USEDEP}]"
diff --git a/dev-python/openapi-core/openapi-core-0.14.2.ebuild b/dev-python/openapi-core/openapi-core-0.14.2.ebuild
index e7a0d56d1c67..9703fe009c5c 100644
--- a/dev-python/openapi-core/openapi-core-0.14.2.ebuild
+++ b/dev-python/openapi-core/openapi-core-0.14.2.ebuild
@@ -39,6 +39,7 @@ BDEPEND="test? (
dev-python/django[${PYTHON_USEDEP}]
dev-python/djangorestframework[${PYTHON_USEDEP}]
dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
dev-python/responses[${PYTHON_USEDEP}]
dev-python/webob[${PYTHON_USEDEP}]
)"
diff --git a/dev-python/owslib/Manifest b/dev-python/owslib/Manifest
index 7ddc8b754659..6879e266c9ae 100644
--- a/dev-python/owslib/Manifest
+++ b/dev-python/owslib/Manifest
@@ -1 +1,2 @@
DIST owslib-0.25.0.tar.gz 936550 BLAKE2B 9cb34a6c7c93dc89a466c13351d457c9372d405055fa3f6cec9c05c231e76762168c6813085523037b3a6439100500c46c1044569bd2bb598c3e2e63757d8b86 SHA512 058108cf77197ce24793608869d56bf0467230f5f231ac9ba48445f2e02d07ea1e26be03ad6967504a1e625008ae2768ed2a663f3b7a49dcea410ee4a8b40cec
+DIST owslib-0.26.0.gh.tar.gz 948463 BLAKE2B 2cbdad2d8e9bc4b8a7e2db58dc75a7c053bde0b2cc772a01f230db044909615b96e62b08bb93233df153686a180a5e93af1bda6ea79b8565efacccfa18fcf4da SHA512 27362c47eae87dc6318d505dd1b0987de36d140d2d0fd5d7a5195470de39d73807fbcafa142366f6981cc36453c262a41133c6c68baf45a97d0fdaae5a0ebf4b
diff --git a/dev-python/owslib/owslib-0.26.0.ebuild b/dev-python/owslib/owslib-0.26.0.ebuild
new file mode 100644
index 000000000000..d4de5be8e91a
--- /dev/null
+++ b/dev-python/owslib/owslib-0.26.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Library for client programming with Open Geospatial Consortium web service"
+HOMEPAGE="https://geopython.github.io/OWSLib/"
+SRC_URI="
+ https://github.com/geopython/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/OWSLib-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+RDEPEND="
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pyproj[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="test? ( dev-python/pillow[${PYTHON_USEDEP}] )"
+
+EPYTEST_DESELECT=(
+ tests/test_ogcapi_features_pygeoapi.py::test_ogcapi_features_pygeoapi
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/addopts/d' -i tox.ini || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/parver/parver-0.3.1-r1.ebuild b/dev-python/parver/parver-0.3.1-r1.ebuild
index 7b4ea6f541c0..e4213d31cc28 100644
--- a/dev-python/parver/parver-0.3.1-r1.ebuild
+++ b/dev-python/parver/parver-0.3.1-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/RazerM/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
+KEYWORDS="amd64 ~arm64 ~riscv x86"
RDEPEND="
>=dev-python/Arpeggio-1.7[${PYTHON_USEDEP}]
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index 702d48ad2b0a..8e87b1c7e1e7 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1 +1,2 @@
DIST python-phonenumbers-8.12.49.gh.tar.gz 4904202 BLAKE2B 20974162d5a8668c1d15021de71795983c4eda1f3afc931822b3593c80249481bcb4ea9f8b80066a71f7f2821284534991d3307eddea0e8f0270e75eced0573e SHA512 0504a84b3a6047c7ca4bc1667a0418d60c7f43052911751572820e7f4e40b430b8847e4c8f6e4d88dd7a2684b5ad8de2dfda8891d81fd8e1af1c595be152f9fc
+DIST python-phonenumbers-8.12.50.gh.tar.gz 4904755 BLAKE2B 60353aa081e4d4d0909302a97a45a89c1f94aac323a6a68fd93cd67146090189d0901b947c40e80e54e1718ce4a45c4a83d2799701ff1323666e82570174d358 SHA512 7a4406626d04a85e010036ceca20430a2562939ad8e7e2651afd65f0d5eb26feb1fbbe0c11f081ab58a9ab8bd81da2ccc153ad22f12eb8135b4f604077b5b29d
diff --git a/dev-python/phonenumbers/phonenumbers-8.12.50.ebuild b/dev-python/phonenumbers/phonenumbers-8.12.50.ebuild
new file mode 100644
index 000000000000..ec95c5a695a3
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.12.50.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/plotly/Manifest b/dev-python/plotly/Manifest
index cdbf1b6f15c2..b7b0bff6abbd 100644
--- a/dev-python/plotly/Manifest
+++ b/dev-python/plotly/Manifest
@@ -1,3 +1,4 @@
DIST plotly-5.2.2.tar.gz 7293292 BLAKE2B baef3accf8f5a3085908fcea558f8003687e18a1f97471c620c378c10d23d4222ef87dc47d64f45199b594414890db5b8ca5e3d7867c871d926c2ae441128c4a SHA512 4d6d79f7cc2063e73e7c17ff90a7d13324497ea8034d8ce62d79ec62b0530a59b2eaec8913fb05efb804cf5be8387b6f96d1710f41b9993233b5a13cf64dd310
DIST plotly-5.7.0.tar.gz 8609793 BLAKE2B 12318f837c248c54fd3a8723bc772e8348186942565ba5a4c095f348dc338cc098318889900500ec333d7ec352801926ec91d312f2ccd98a89f804159223057f SHA512 01675470ef5218f06b4e9e485f23155a8e8550748fdf86afdb2a2969f838464b70d4452811427ab6bed2846093e8cfba7e891f7d0ea3a621e1fbffe22182d933
DIST plotly-5.8.0.tar.gz 7573157 BLAKE2B 522d0d22d29d5ee204a9ecccbfe7862acee8b8605ab3dfce46a7b771020c24aff39b74aa3244c8384d61bb7e61ca5d2a610d061b0c208bf6cf9fe91543bbfc3f SHA512 2c17c97e897959a9826c19495c30cc7dd21de80e777c13927c1f47c3aa08f64f53ad715d156e78aabaf99fa2a8f85c90d63b08a227c5301710b5c561ee89429c
+DIST plotly-5.8.2.tar.gz 7574127 BLAKE2B 1a9d05009148a65b2f4206165a3e02ea7e130663e9658af64bddc0df6f1b720ca29e1cf30150634403b4bdda96156899f0e2e2d12b81cfd04a4bc9812057a79d SHA512 f262cbe20fa51861a319911e04446d4aa564b878dc1aa8e750a5d03af9747ec439fda941ab63d20ecb5374417174a2bd1c4f5549af5ba0f57f135d10ae0877a0
diff --git a/dev-python/plotly/plotly-5.8.2.ebuild b/dev-python/plotly/plotly-5.8.2.ebuild
new file mode 100644
index 000000000000..b2fde6cd5e47
--- /dev/null
+++ b/dev-python/plotly/plotly-5.8.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Browser-based graphing library for Python"
+HOMEPAGE="https://plotly.com/python/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# TODO: package plotly-orca and kaleido
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/tenacity-6.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/backports-tempfile[${PYTHON_USEDEP}]
+ ' 3.8)
+ dev-python/inflect[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/jupyter[${PYTHON_USEDEP}]
+ dev-python/jupyterlab[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ sci-libs/pyshp[${PYTHON_USEDEP}]
+ sci-libs/scikit-image[${PYTHON_USEDEP}]
+ sci-libs/shapely[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.8.0-fix-versioneer-import.patch
+)
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ mkdir -p "${ED}"/etc/ || die
+ mv "${ED}"/usr/etc/jupyter "${ED}"/etc/ || die
+ rmdir "${ED}"/usr/etc || die
+}
diff --git a/dev-python/publicsuffix/publicsuffix-2.20191221-r2.ebuild b/dev-python/publicsuffix/publicsuffix-2.20191221-r2.ebuild
index b10599cb183b..6efc6149f479 100644
--- a/dev-python/publicsuffix/publicsuffix-2.20191221-r2.ebuild
+++ b/dev-python/publicsuffix/publicsuffix-2.20191221-r2.ebuild
@@ -24,7 +24,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~riscv ~x86"
RDEPEND="
>=dev-python/requests-2.7.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
index 6eb87acfe17b..5a516a0fb762 100644
--- a/dev-python/pyghmi/Manifest
+++ b/dev-python/pyghmi/Manifest
@@ -1,3 +1,4 @@
DIST pyghmi-1.5.42.tar.gz 241338 BLAKE2B f005697a13517f707bc74132d54ebdcc3752409aa147fdc9e99143f1c6a0507e24725e8bc2bc07980e017e6c6fff9868f84bf02fb598a2b580531aba0b66eafc SHA512 ec191a9862a4e6f28a8dbcb54759ad5c3a81ca3f85ecd4c9bbad634a3392296d5aad49d809a099d2719f2235dee2fac962374a4109dee120a4aba521a589afd5
DIST pyghmi-1.5.43.tar.gz 241608 BLAKE2B edda01665ca4bf5337f8e92aea0fe099597f4c516a3f750ae9747cf80a0710ffc4324c387f826b440f03d30ef68efe93a99122abf9edd03727e32a5e255858f2 SHA512 53f6c4685b395cb3673be8e78c1845c2b0e021d526eb96b3c53a039c7de03e546c7cc6cc1d15003fd1d70ac9d9d2ddadadb62b6b4ee5a95d30c854582bf2785f
DIST pyghmi-1.5.44.tar.gz 243496 BLAKE2B 9f6a0618c19ff523db33069f63353eb3c262bcce2dae1b8b94ed103997a6a7ec1bb68a43cabbc9dcbbd78182e193ed5d8ef24877e7d6e5f2cc7c53d2a48bc002 SHA512 7c526cdbee3f4ee0fab4001380b860203d5afeaf247709c13815f2de15dd733bbcf275bb0e3667d03bb15cec11711cd50dc8d56a8035bdeb4cb9c75f0f651a9a
+DIST pyghmi-1.5.45.tar.gz 243685 BLAKE2B cb84b9d5a2194a8be852870a967306abff226f065a8811636729f67b13bf5289268ce6e5130362998f047faee7efe3a577473f93acf800b5899de7d84569c10c SHA512 ed670ca2b7e6d21dd91198611a380dddb3a08073562c4e26a90805fb65eac0c410f217e8b3c91be21b0df399a77bb59ed5d87031ff74e89afa969462bfb5aeb7
diff --git a/dev-python/pyghmi/pyghmi-1.5.45.ebuild b/dev-python/pyghmi/pyghmi-1.5.45.ebuild
new file mode 100644
index 000000000000..3f4d5d210c90
--- /dev/null
+++ b/dev-python/pyghmi/pyghmi-1.5.45.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure python implementation of IPMI protocol"
+HOMEPAGE="
+ https://opendev.org/x/pyghmi/
+ https://pypi.org/project/pyghmi/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pytest-aiohttp/pytest-aiohttp-1.0.4.ebuild b/dev-python/pytest-aiohttp/pytest-aiohttp-1.0.4.ebuild
index 138f385cc353..272c91843dd4 100644
--- a/dev-python/pytest-aiohttp/pytest-aiohttp-1.0.4.ebuild
+++ b/dev-python/pytest-aiohttp/pytest-aiohttp-1.0.4.ebuild
@@ -9,7 +9,10 @@ PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
inherit distutils-r1
DESCRIPTION="pytest plugin for aiohttp support"
-HOMEPAGE="https://github.com/aio-libs/pytest-aiohttp/"
+HOMEPAGE="
+ https://github.com/aio-libs/pytest-aiohttp/
+ https://pypi.org/project/pytest-aiohttp/
+"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
@@ -26,3 +29,9 @@ BDEPEND="
"
distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # warning doesn't seem to be emitted for some reason
+ # doesn't look very important
+ tests/test_obsolete_fixtures.py::test_loop_fixture
+)
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index 0268e06a7b06..562353b79c13 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -1,2 +1,3 @@
DIST sphinx-autodoc-typehints-1.18.1.gh.tar.gz 26424 BLAKE2B a30b966d26e89a7771404d4f9434038e4f201458bda439bf8fb3d2c2fc6dac0f12743622193edf45335d04148c96b6c3d51c2c7fe5437cb67b3b272ab19b2f18 SHA512 6c788949d1d3903ac589283e9188d5db3e0f173be1bb1a4740a88fc0383d7011fe60e57d25af74a2fc147b3c4d76c48770515bb8dbdf4ff18fb4bfb110a4a241
DIST sphinx-autodoc-typehints-1.18.2.gh.tar.gz 26466 BLAKE2B d2e6e3135c5a60966338b2c8b143cab7c2a1b788abde0deb9cf3dc989ad31a1680ff07a9e3cb9bad500d053e7f0af2b5e099331bd92a2e01911333c6eb1589bf SHA512 5828cce6744a6a55e5dd25dc15b5bb6b28fcf430c5b65f8d610e24da426efe020e72af73ffee1f7929b3007fc76afc64f70c65d1f7e8db62b86ce52e2f836487
+DIST sphinx-autodoc-typehints-1.18.3.gh.tar.gz 26457 BLAKE2B 343a6ffcbca40f28a66c67266431f3a9b2292bd0d991de4287b9adf9e02b7d8fb24094646caa55790f32cd9081abca525f310367335d60fa1b7ea3bc9623bb1c SHA512 549bdfad8f5c07f5edb1c6cdeaff39df22cc7bfa475c70b5c54ff46b311d14c9f3682bf68663d852b95ebff8fd1b71038fc077495d99d870ae2efbf72ec99a42
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.18.3.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.18.3.ebuild
new file mode 100644
index 000000000000..78ea695ff82e
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.18.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+SRC_URI="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/sphinx-4.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/nptyping-2.1.1[${PYTHON_USEDEP}]
+ dev-python/sphobjinv[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/spyder-kernels/spyder-kernels-2.3.1-r1.ebuild b/dev-python/spyder-kernels/spyder-kernels-2.3.1-r2.ebuild
index 354f51b8b20e..dfbea1f1084a 100644
--- a/dev-python/spyder-kernels/spyder-kernels-2.3.1-r1.ebuild
+++ b/dev-python/spyder-kernels/spyder-kernels-2.3.1-r2.ebuild
@@ -14,7 +14,7 @@ HOMEPAGE="
https://pypi.org/project/spyder-kernels/
"
SRC_URI="
- https://github.com/spyder-ide/${PN}/archive/v${PV}.tar.gz
+ https://github.com/spyder-ide/spyder-kernels/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
@@ -28,8 +28,7 @@ RDEPEND="
>=dev-python/ipykernel-6.9.2[${PYTHON_USEDEP}]
>=dev-python/ipython-7.31.1[${PYTHON_USEDEP}]
<dev-python/jupyter_client-8[${PYTHON_USEDEP}]
- >=dev-python/jupyter_client-7.3.1[${PYTHON_USEDEP}]
- <dev-python/jupyter_client-7.3.2[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-7.3.4[${PYTHON_USEDEP}]
dev-python/matplotlib-inline[${PYTHON_USEDEP}]
>=dev-python/pyzmq-22.1.0[${PYTHON_USEDEP}]
>=dev-python/wurlitzer-1.0.3[${PYTHON_USEDEP}]
diff --git a/dev-python/watchdog/Manifest b/dev-python/watchdog/Manifest
index 8a10e642c248..547d51e841e4 100644
--- a/dev-python/watchdog/Manifest
+++ b/dev-python/watchdog/Manifest
@@ -1,2 +1,3 @@
DIST watchdog-2.1.7.gh.tar.gz 100442 BLAKE2B 21247e1790077eb1eb2f1dc2bb8ddebc1b7f6a2c503238c52c660246fee8c1d3483119184a62114efb81c44665321d4e3aa18ffd73b3244a44c4c6df5204c834 SHA512 f69265aac6e8a840d230c15cfe88c803f043cb540785446113617c0fd1a3c5dce8a885a376bbadc75372a718800948dd4b00c618e18e033d510b8e2bc2bbb36b
DIST watchdog-2.1.8.gh.tar.gz 101828 BLAKE2B ca14534af888154652951abb7e5f7f1bae1f2e072f113a034638f6384fc9b9044ab99191c6dc0ce38d7ded3dc6629a7aba1e1765f85ec5410706bd669411b929 SHA512 3182cb28701403e799c3850e5cd44acf6dc1aa7e98b1c4bb22b21de98fa4372c74a041e2f3be8d10ae77fe00018e460b98ce2fa5b0779edb84d15f952c407030
+DIST watchdog-2.1.9.gh.tar.gz 102882 BLAKE2B 601c94541846e0d63a39367040ac9b6a24c2920c70638ee3887a51838dd75bf8dfef8afae34c9566047c27502026d944f01c6f6249090f4a233a4892fc1e7c59 SHA512 1005c48b08968db7705acbb8a94a0852c72d8bcf45ac935e7e0b49daa6e422adb081cf431485618b37bcc1b2d3429369af1672b826bf9c1ebfa7aff91a88175a
diff --git a/dev-python/watchdog/watchdog-2.1.9.ebuild b/dev-python/watchdog/watchdog-2.1.9.ebuild
new file mode 100644
index 000000000000..7a9e0dc502ce
--- /dev/null
+++ b/dev-python/watchdog/watchdog-2.1.9.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python API and shell utilities to monitor file system events"
+HOMEPAGE="
+ https://github.com/gorakhargosh/watchdog/
+ https://pypi.org/project/watchdog/
+"
+SRC_URI="
+ https://github.com/gorakhargosh/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/pytest-timeout-0.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' setup.cfg || die
+ default
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires root powers via sudo (yes, seriously)
+ tests/test_inotify_buffer.py::test_unmount_watched_directory_filesystem
+ )
+
+ epytest -p no:django
+}
+
+pkg_postinst() {
+ optfeature "Bash completion" dev-python/argcomplete
+}
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index ead18ab309e0..3b50586dc6ba 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1,3 +1,4 @@
DIST xmlschema-1.10.0.tar.gz 396057 BLAKE2B 44facdb16e79ddf16ca798b937c4cf35444f9d31278c26121f179e5055134b82d425cc5b69a8a2e4fdd44388cbd3e96534b55794a267a3b4c0b606752ede533e SHA512 c4358b210cc96e46617cc11b1b7e2a4d69c1bd6489cc73602552b184f209eb90b13eff353741aa7b1dbc3ff8514f90b7bb331ac18ffc466b3ce36f42f7497899
DIST xmlschema-1.11.0.tar.gz 453958 BLAKE2B d6879e0f0445dad7e86d7b11e14d3f249b3cde5242c7cde7c327005fb4268ae9f20b4bf0bc3c140284e82842e09cbcdc2d12a7f8df0bede85ffc8db39989ed49 SHA512 507b57b8d4f48eb9f2463898ad0bd245791a8c8086a544d45da1fb2d4f6edafa5e555d44bdba50974408f14251cb8acae2dfc2c1b5c4544088f336fdfee0793a
DIST xmlschema-1.11.1.tar.gz 454932 BLAKE2B b80885b7bde87115caece3cdcd036c5ef7cc225acb01ca610c97b2759142a6deb1c29e9fbaf08f60ef4ec80ac4d7dd4b382dd5cd0b74f0f766101664a3cb7fca SHA512 58800377e4bdec70608286057093827fd72bce82117424753a37632c2dbccf2b4e354bfa6e62c3dec06ec98ff262eff258e18c0c6e6af2b5fd520ad11118531c
+DIST xmlschema-1.11.2.tar.gz 476302 BLAKE2B 61d194ae9d269c2bb8231b8ce9068cf0fb0019022abdb24748c4df8ede8821e1c197ea040e07bd267c060944ea1dcd4ada300995287f47e617daf2f923c54abc SHA512 777743e1a0711ceb3aa752b33d65b79e56252284cb911c504751152a86281fba9a39e96271fd8058093c65d69badecdd8e30d836578c9138ff988843fbe9b90c
diff --git a/dev-python/xmlschema/xmlschema-1.11.2.ebuild b/dev-python/xmlschema/xmlschema-1.11.2.ebuild
new file mode 100644
index 000000000000..34fc66f8f9e5
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-1.11.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/elementpath-2.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}